Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.actions
Class SimpleActionList

    java.lang.Object
      |
      +--quicktime.app.actions.TickleList
            |
            +--quicktime.app.actions.SimpleActionList

All Implemented Interfaces:
  Collection, CollectionController, Controller, Ticklish, TicklishController

public class SimpleActionList
extends TickleList

The SimpleActionList class extends the TickleList to provide a list of Targetable objects. The Targetable interface extends the Ticklish interface providing a Ticklish object with the concept of a target which will be acted upon by in its tickle method. By providing a List that requires members to be Targetable objects, the list can remove all of the actions that are associated with a particular target and return an enumeration that is capable of enumerating over the list's targets.

See Also:
  `Targetable`

Fields inherited from class quicktime.app.actions.TickleList
`list`

Fields inherited from interface quicktime.app.time.Ticklish
`kScale`

Constructor Summary
`SimpleActionList()` Create an empty Action list

Method Summary
`boolean` | `isAppropriate(java.lang.Object object)` Returns true if the object implements the Targetable interface.
`void` | `removeTarget(java.lang.Object target)` Removes any and all actions that target the supplied target.
`java.util.Enumeration` | `targets()` Return an Enumeration that is capable of enumerating through the targets that are targetted by the actions.

Methods inherited from class quicktime.app.actions.TickleList
`addedToSpace, addMember, findNode, hasMember, isEmpty, isMemberActive, isWholespace, makeTickleNode, members, nodes, removedFromSpace, removeMember, setMemberActive, setWholespace, size, tickle, timeChanged, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleActionList

    public SimpleActionList()

  Create an empty Action list

Method Detail

### targets

    public java.util.Enumeration targets()

  Return an Enumeration that is capable of enumerating through the targets that are targetted by the actions. As any of the actions that are added can target the same object, this Enumerator should iterate through each of the targets, with each target being unique.
  Returns:
    an Enumerator

### isAppropriate

    public boolean isAppropriate(java.lang.Object object)

  Returns true if the object implements the Targetable interface. Only Targetable objects can be members of the SimpleActionList
  Overrides:
    `isAppropriate` in class `TickleList`
  Parameters:
    `object` - an object to test for appropriateness of this list
  Returns:
    true if the object implements the Targetable interface

### removeTarget

    public void removeTarget(java.lang.Object target)

  Removes any and all actions that target the supplied target.
  Parameters:
    `target` - the target which determines which actions to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD